<?php

add_action("wp_ajax_ait_save_options", 'aitAdminAjaxSaveOptions');
add_action("wp_ajax_ait_reset_options", 'aitAdminAjaxResetOptions');
add_action("wp_ajax_ait_reset_order", 'aitAdminAjaxResetOrder');



function aitAdminAjaxSaveOptions()
{
	$option = trim($_POST['option_page']);

	$value = null;
	if(isset($_POST[$option])){
		$value = $_POST[$option];
		if(!is_array($value)){
			$value = trim($value);
		}
		$value = wp_unslash($value);
	}
	update_option($option, $value);

	aitSaveLess2Css();

	$msg = '
	<div id="setting-error-settings_updated" class="updated settings-error">
		<p><strong>' . __('Options saved.', THEME_CODE_NAME) . '</strong></p>
	</div>';

	wp_send_json_success($msg);
}



function aitAdminAjaxResetOptions()
{
	global $aitThemeConfig, $aitBrandingConfig;

	$maybe_error = '';

	if(isset($_POST['key'])){
		$key = base64_decode($_POST['key']);
		if($key == AIT_OPTIONS_KEY){

			$c = aitGetThemeDefaultOptions($aitThemeConfig);
			update_option(AIT_OPTIONS_KEY, $c);

			delete_option('ait_current_skin_' . THEME_CODE_NAME);

			aitSaveLess2Css();

		}elseif($key == AIT_BRANDING_OPTIONS_KEY){
			$c = aitGetThemeDefaultOptions($aitBrandingConfig);
			update_option(AIT_BRANDING_OPTIONS_KEY, $c);
		}
	}

	$msg = '
	<div id="ait-options-reseted" class="updated settings-error">
		<p><strong>' . __('Options reseted.', 'ait') . '</strong></p>
	</div>';

	wp_send_json_success($msg);
}



function aitAdminAjaxResetOrder()
{
	global $aitThemeConfig;

	if(isset($_POST['orderKey'])){

		// update globals ait options
		$dbOptions = get_option(AIT_OPTIONS_KEY);

		$defOptions = aitGetThemeDefaultOptions($aitThemeConfig);

		$newOptions = $dbOptions;

		foreach($newOptions as $key => $value){
			foreach($newOptions[$key] as $childKey => $childValue){
				if($childKey == $_POST['orderKey']){
					$newOptions[$key][$childKey] = $defOptions[$key][$childKey];
				}
			}
		}
		update_option(AIT_OPTIONS_KEY,$newOptions);
	}

	if(isset($_POST['metaKey'])){
		// remove all metadata with key orderKey from posts
		global $wpdb;
		$wpdb->query('DELETE FROM '.$wpdb->prefix.'postmeta WHERE meta_key LIKE "'.$_POST['metaKey'].'"');
	}

	$msg = '
	<div id="ait-options-reseted" class="updated settings-error">
		<p><strong>' . __('Section order reseted!', 'ait') . '</strong></p>
	</div>';

	wp_send_json_success($msg);
}
