<?php


function aitAddAdminBarMenu($wpAdminBar)
{
	global $aitThemeConfig;

	$adminUrl = get_admin_url(0, 'admin.php?page=');
	$adminId = 'ait-admin';
	$rootId = '';
	$rootHref = '';

	if(aitShowAdminFeature('backup')){ $rootId = 'ait-admin-backup'; }
	if(aitShowAdminFeature('skins')){ $rootId = 'ait-admin-skins'; }
	if(aitShowAdminFeature('branding')){ $rootId = 'ait-admin-branding'; }
	if(aitShowAdminFeature('website_settings')){
		$c = array_slice($aitThemeConfig, 0, 1);
		$_keys = array_keys($c);
		$key = reset($_keys);
		$rootHref = 'ait-admin-' . $key;
		$rootId = $adminId;

	}

	$pages = array();

	if(aitShowAdminFeature('branding') and isset($aitDisableBranding) and !@$aitDisableBranding){ $pages['branding'] = __('Admin Branding', 'ait'); }
	if(aitShowAdminFeature('skins')){ $pages['skins'] = __('Skins', 'ait'); }
	if(aitShowAdminFeature('backup')){ $pages['backup'] = __('Backup', 'ait'); }

	if ($rootId) {
		$wpAdminBar->add_node(array(
			'id' => $rootId,
			'title' => __('Theme Admin', 'ait'),
			'href' => $adminUrl . $rootHref
		));
	}

	//  Config pages
	if(aitShowAdminFeature('website_settings')){
		foreach($aitThemeConfig as $key => $page){

			$wpAdminBar->add_node(array(
				'id' => $rootId . "-{$key}",
				'parent' => $rootId,
				'title' => esc_html($page['menu-title']),
				'href' => $adminUrl . $adminId . "-{$key}",
			));

			if(isset($page['tabs'])){
				foreach($page['tabs'] as $tabKey => $tab){
					$wpAdminBar->add_node(array(
						'id' => $rootId . "-{$tabKey}",
						'parent' => $rootId . "-{$key}",
						'title' => esc_html($tab['tab-title']),
						'href' => $adminUrl . $adminId . "-{$key}&amp;tab=" . $tabKey,
					));
				}
			}
		}
	}


	// Branding, Skins, Backup
	foreach($pages as $id => $title){
		$wpAdminBar->add_node(array(
			'id' => "{$rootId}-{$id}",
			'parent' => $rootId,
			'title' => $title,
			'href' => $adminUrl . $adminId . "-$id"
		));
	}
}



function aitAddDevBarMenu($wpAdminBar)
{
	$wpAdminBar->add_node(array(
		'id' => 'ait-dev-mode',
		'title'  => 'Ait Dev',
		'parent' => 'top-secondary',
		'href' => '#',
		'meta' => array('class' => 'ait-dev-mode'),
	));

	if(file_exists(ABSPATH . '/wp-content/debug.log')){

		$wpAdminBar->add_node(array(
			'id' => 'ait-debuglog',
			'title'  => 'View debug.log',
			'parent' => 'ait-dev-mode', // Off on the right side
			'href' => site_url() . '/wp-content/debug.log',
			'meta' => array(
				'target' => '_blank',
			),
		));
	}
}



function addAitToAdminBar($position = 31)
{
	add_action('admin_bar_menu', 'aitAddAdminBarMenu', $position);
	if(defined('AIT_DEVELOPMENT') and AIT_DEVELOPMENT){
		add_action('admin_bar_menu', 'aitAddDevBarMenu', 1986);
	}
	add_action('admin_head', 'aitAdminBarCss');
	add_action('wp_head', 'aitAdminBarCss');
}



function aitAdminBarCss()
{
	global $aitBrandingOptions;

	$icon = (string) @$aitBrandingOptions->branding->adminMenuIcon;

	if(startsWith('design', $icon))
		$icon = THEME_URL . '/' . $aitBrandingOptions->branding->adminMenuIcon;

	echo <<<out
	<style>
		#wpadminbar #wp-admin-bar-ait-admin >.ab-item { background-image: url('{$icon}');background-repeat: no-repeat;background-position: 0.85em 50%;padding-left: 32px;}
	</style>
out;
}
