{ifset $closeable}
<div class="closeable">
	<div class="open-button {if $defaultState == 'opened'}comments-opened{else}comments-closed{/if}">
		{if $defaultState == 'opened'}
			<span class="button-close">{__ 'Close Comments'}</span>
			<span class="button-open" style="display: none;">{__ 'Show Comments'}</span>
		{else}
			<span class="button-close" style="display: none;">{__ 'Close Comments'}</span>
			<span class="button-open">{__ 'Show Comments'}</span>
		{/if}
	</div>
{/ifset}

<div id="comments">
{if !$post->isPasswordRequired}

{if $post->comments}

		<h2 id="comments-title">
			{capture $oneThought}{__ 'One thought on'}{/capture}
			{capture $thoughts}{__ 'Thoughts on'}{/capture}
			{commentTitle $post->title, $post->commentsCount, $oneThought, $thoughts}
		</h2>

		{include snippets/comments-pagination.php, location => 'above'}

		{listComments comments => $post->comments}
			{if $comment->type == 'pingback' or $comment->type == 'trackback'}
			<li class="post pingback">
				<p>
				{__ 'Pingback'}
				{!$comment->author->link}
				{editCommentLink $comment->id}
				</p>
			{else}

			{* this is start tag, but end tag is missing in this template, it is included in {/listComments} macro. Weird. I know. *}
			<li class="{$comment->classes}">

				<article id="comment-{$comment->id}" class="comment">
					
					<div class="left controls clearfix">
						<div class="comment-avatar">{!$comment->author->avatar}</div>
						{capture $reply}{_x 'Reply', 'reply to comment'}{/capture}
						<div class="reply">{commentReplyLink $reply, $comment->args, $comment->depth, $comment->id}</div>
						{editCommentLink $comment->id}
					</div>

					<div class="body clearfix">
						<div class="arrow left"><!--  --></div>
						<div class="content ">
							<div class="headline">
								<span class="author vcard"><cite class="fn">{!$comment->author->nameWithLink}</cite></span><span class="eh">&nbsp;&nbsp;|&nbsp;&nbsp;</span><span class="date"><a href="{$comment->url}" class="comment-date"><time pubdate datetime="{$comment->date|date:'c'}">{$comment->date|date:$site->dateFormat} {__ 'at'} {$comment->date|date:$site->timeFormat}</time></a></span>
							</div>
							{if !$comment->approved}
								<em class="comment-awaiting-moderation">{__ 'Your comment is awaiting moderation.'}</em><br>
							{/if}
							{!$comment->content}
						</div>
					</div>

				</article>
			{/if}
		{/listComments}

		{include snippets/comments-pagination.php, location => 'below'}

{elseif !$post->hasOpenComments && $post->type != 'page' && $post->hasSupportFor('comments')}

	<p class="nocomments">{__ 'Comments are closed.'}</p>

{/if}

{commentForm}

{else}
	<p class="nopassword">{__ 'This post is password protected. Enter the password to view any comments.'}</p>
{/if}
</div><!-- #comments -->

{ifset $closeable}
</div> 			<!-- /.closeable -->
{/ifset}