{extends $layout}

{block content}

<section class="section content-section blog-section">

<div id="container" class="subpage wrapper {isActiveSidebar blog-sidebar}{else}onecolumn{/isActiveSidebar}">

	{if $posts}
	<div id="content" class="entry-content clearfix" role="main">
		<div class="content-wrapper clearfix">

		{if !$isIndexPage}
			{if trim($post->content) != ""}

			<header class="entry-title clearfix">
				<h1>{$post->title}</h1>
				<span class="breadcrumbs">{__ 'You are here:'} {breadcrumbs}</span>
			</header>

			{!$post->content}

			{/if}
		{/if}


			{include snippets/content-nav.php location => 'nav-above'}

			{include snippets/content-loop.php posts => $posts}

			{include snippets/content-nav.php location => 'nav-below'}


		</div> <!-- /.content-wrapper -->
	</div> <!-- /#content -->

	{isActiveSidebar blog-sidebar}
	<div class="page-sidebar blog-sidebar right clearfix">
		{dynamicSidebar blog-sidebar}
	</div>
	{/isActiveSidebar}

	{else}

	<div id="content" class="entry-content" role="main">
		<div class="content-wrapper">

			{include snippets/nothing-found.php}

		</div> <!-- /.content-wrapper -->
	</div> <!-- /#content -->

	{/if}

</div> <!-- /#container -->

</section>

{/block}

{if !$isIndexPage}
	{? isset($post->options('service-boxes')->overrideGlobal) ? $sectionA = 'sectionA' : $sectionA = 'xa'}
	{define $sectionA}
		{include snippets/service-boxes.php, options => $post->options('service-boxes')}
	{/define}

	{? isset($post->options('testimonials')->overrideGlobal) ? $sectionB = 'sectionB' : $sectionB = 'xb'}
	{define $sectionB}
		{include snippets/testimonials.php, options => $post->options('testimonials')}
	{/define}

	{? isset($post->options('tabs')->overrideGlobal) ? $sectionD = 'sectionD' : $sectionD = 'xd'}
	{define $sectionD}
		{include snippets/products.php, options => $post->options('tabs')}
	{/define}
{/if}