{extends $layout}
{var $sectionsOrder = isset($post->options('sections-order')->overrideGlobal) ? $post->options('sections-order')->sectionsOrder : null}

{block content}
<section class="section content-section single-post-section">

<div id="container" class="subpage wrapper {isActiveSidebar post-sidebar}{else}onecolumn{/isActiveSidebar}">

	<div id="content" class="entry-content clearfix" role="main">
		<div class="content-wrapper clearfix">

			{if $post->thumbnailSrc}
			<article id="post-{$post->id}" class="{$post->htmlClasses} clearfix">
			{else}
			<article id="post-{$post->id}" class="{$post->htmlClasses} no-thumbnail clearfix">
			{/if}

			{include snippets/posted-on.php}

			{if $post->thumbnailSrc != false }
			<a href="{$post->thumbnailSrc}">
			<div class="entry-thumbnail">
				{var $imgWidth = 980}
				{isActiveSidebar post-sidebar} {var $imgWidth = 650} {/isActiveSidebar}
				{if $gridGalleryOptions['itemType'] == 'image' || $gridGalleryOptions['itemType'] == 'website'}
    				<img src="{thumbnailResize $post->thumbnailSrc, w => $imgWidth, h => 400}" alt="" />
    			{elseif $gridGalleryOptions['itemType'] == 'video'}
          			{if $gridGalleryOptions['videoProvider'] == 'youtube'}
            			<iframe id="ytplayer" type="text/html" width="{$imgWidth}" height="400" src="http://www.youtube.com/embed/{$gridGalleryOptions['videoID']}?autoplay={$gridGalleryOptions['videoAutoplay']}" frameborder="0"/>
          			{else}
            			<iframe src="http://player.vimeo.com/video/{$gridGalleryOptions['videoID']}?autoplay={$gridGalleryOptions['videoAutoplay']}" width="{$imgWidth}" height="400" frameborder="0"></iframe>
          			{/if}
    			{/if}
			</div>
			</a>
			{/if}

			<div class="entry-meta clearfix">
				<div class="date left">
					<a href="{dayLink $post->date}" class="meta-info date" title="{$post->date|date:$site->dateFormat}" rel="bookmark">
						{$post->date|date:$site->dateFormat}
					</a>
				</div>
				<div class="meta-info comments right"><span>{$post->commentsCount}</span></div>
			</div>

			<div class="entry-content">
				{!$post->content}
			</div>

			<div class="entry-meta post-footer">

				{if $post->type == 'post'}
					<p style="margin-bottom: 40px;">
			    		{if $post->categories}
			                	<span class="single-categories"><strong>{__ 'Categories:'}</strong> {!$post->categories}</span>
			            {/if}

						<span>&nbsp;&nbsp;|&nbsp;&nbsp;</span>

			            {if $post->tags}
						<span class="tag-links">
							<span class="entry-utility-prep entry-utility-prep-tag-links"><strong>{__ 'Tagged:'}</strong></span>
							{!$post->tags}
						</span>
						{/if}
		            </p>
				{/if}

				{if strlen($post->author->bio) !== 0}
				<div class="author-archive-meta clearfix">
					<div id="author-avatar" class="left">{!$post->author->avatar(60)}</div>
					<div id="author-description" class="clearfix">
						<div class="author-name">{_x 'About', 'about author'} {$post->author->name}</div>
						<div class="bio">{$post->author->bio}</div>
					</div>
				</div>
				{else}
				<div class="author-name">{__'Author:'}' {$post->author->name}</div>
				{/if}

			</div><!-- /.entry-meta -->

		</article>

		{include comments.php, closeable => $themeOptions->general->closeComments, defaultState => $themeOptions->general->defaultPosition}

		</div><!-- /.content-wrapper -->
	</div> <!-- /#content -->

	{isActiveSidebar post-sidebar}
	<div class="page-sidebar post-sidebar right clearfix">
		{dynamicSidebar post-sidebar}
	</div>
	{/isActiveSidebar}

</div ><!-- /#container -->

</section>
{/block}

{? isset($post->options('service-boxes')->overrideGlobal) ? $sectionA = 'sectionA' : $sectionA = 'xa'}
{define $sectionA}
	{include snippets/service-boxes.php, options => $post->options('service-boxes')}
{/define}

{? isset($post->options('testimonials')->overrideGlobal) ? $sectionB = 'sectionB' : $sectionB = 'xb'}
{define $sectionB}
	{include snippets/testimonials.php, options => $post->options('testimonials')}
{/define}

{? isset($post->options('tabs')->overrideGlobal) ? $sectionD = 'sectionD' : $sectionD = 'xd'}
{define $sectionD}
	{include snippets/products.php, options => $post->options('tabs')}
{/define}